API referenceLocation
List Locations
List locations visible to the user, with optional name, ID, and stock filters.
GET
/locationcurl -X GET "https://dash.lockii.app/api/v1/location" \
-H "x-api-key: $LOCKII_API_KEY"Authorization
x-api-keystringheaderAPI key from Settings → Integrations → API.
AuthorizationstringheaderThe same API key, or an OAuth access token, sent as Authorization: Bearer.
api_keystringqueryAPI key query parameter.
Parameters
nameSearchstringqueryexcludeIdstringquerylimitnumberqueryidsstring[]queryPass as a JSON string.
stockProductIDsstring[]queryPass as a JSON string.
Response
application/json
JSON result for this operation.
object
{}